Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.contentmodel.annotation.internal.provisional
Class CMAnnotationPropertyValue

    java.lang.Object
      org.eclipse.jst.jsf.contentmodel.annotation.internal.provisional.CMAnnotationPropertyValue

public class CMAnnotationPropertyValue
extends java.lang.Object

The class used to return result of a query on the annotation model.

Constructor Summary
`CMAnnotationPropertyValue(ICMAnnotationSourceFileInfo fileInfo, java.util.List propertyValues)` Constructor

Method Summary
`java.lang.String` | `getBundleId()` Convenience method for accessing the bundleid
`ICMAnnotationSourceFileInfo` | `getFileInfo()`
`java.lang.String` | `getPropertyValue()` Return first string property value.
`java.util.List` | `getPropertyValues()` Return list of property values as strings for the given property

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMAnnotationPropertyValue

    public CMAnnotationPropertyValue(ICMAnnotationSourceFileInfo fileInfo,
                                     java.util.List propertyValues)

  Constructor

Parameters:
  `fileInfo` -
  `propertyValues` -

Method Detail

### getBundleId

    public java.lang.String getBundleId()

  Convenience method for accessing the bundleid

  Returns:
    String

### getFileInfo

    public ICMAnnotationSourceFileInfo getFileInfo()

  Returns:
    ICMAnnotationSourceFileInfo used to define this property

### getPropertyValue

    public java.lang.String getPropertyValue()

  Return first string property value. If caller expects more values, they should use getPropertyValues().

  Returns:
    String

### getPropertyValues

    public java.util.List getPropertyValues()

  Return list of property values as strings for the given property

  Returns:
    java.util.List

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD